/* Header file for utmp reading routines */

#ifndef LIB_UTMP_H
#define LIB_UTMP_H

#ifdef HAVE_PATHS_H
# include <paths.h>
#endif
#ifndef _PATH_UTMP
# define _PATH_UTMP "/etc/utmp"
#endif

#ifdef UTMP
# ifdef HAVE_GETUTENT
#  define open_utmp() utmpname(UTMP),setutent()
# else
#  define open_utmp() utmpname(UTMP)
# endif /* HAVE_GETUTENT */
#else
# define open_utmp() setutent()
#endif /* UTMP */

#ifndef HAVE_GETUTENT
void utmpname(const char *file);
void endutent(void);
void setutent(void);
struct utmp *getutent(void);
struct utmp *getutline(struct utmp *ut);
#endif /*HAVE_GETUTENT*/

#endif /* LIB_UTMP_H */
